<template>
   <b-container>
    <h5 class="text-second mb-3 mt-3">
        <b-icon icon="geo"></b-icon> &nbsp;Points</h5>
    <b-row class="mb-3">
        <b-col cols="4">
        <label class="col-form-label">Type de symbole</label>
            </b-col>
            <b-col cols="8">
                <b-select value-field="item"
                text-field="name" v-on:change="onChangeType($event)"
                :value="pointSymbolType" :options="pointSymbolTypeList"></b-select>
            </b-col>

    </b-row>
    <SymbolStyleDefinition
      @symboChange="inputChange()"
      :symbol="layerStyle.pointSymbol" :type="pointSymbolType"/>
   </b-container>
</template>

<script lang="ts">
/* eslint-disable class-methods-use-this */
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
import Vue from 'vue';
import LayerStyle from '@/models/map-context/LayerStyle';
import SymbolStyleDefinition from '@/components/layers/style/SymbolStyleDefinition.vue';
import Component from 'vue-class-component';

@Component({
  props: {
    layerStyle: LayerStyle,
  },
  components: {
    SymbolStyleDefinition,
  },
})
export default class PointStyleDefinition extends Vue {
  layerStyle!:LayerStyle;

  pointSymbolTypeList=[{ item: 'circle', name: 'cercle' },
    { item: 'square', name: 'carré' },
    { item: 'cross', name: 'croix' },
    { item: 'triangle', name: 'triangle' },
    { item: 'star', name: 'étoile' },
    { item: 'svg', name: 'svg' }];

  onChangeType(event:any) {
    console.log(event);
    this.layerStyle.pointSymbolType = event;
    this.inputChange();
  }

  get pointSymbolType() {
    return this.layerStyle.getPointSymbolType();
  }

  inputChange() {
    this.$emit('symboChange', '');
  }
}
</script>

<style scoped lang="less">

</style>
